package br.uem.din.architectureEvolution.representation;

import br.uem.din.architectureEvolution.helpers.ModelHelper;
import br.uem.din.architectureEvolution.helpers.ModelHelperFactory;

import com.sdmetrics.model.ModelElement;

public abstract class InterClassRelationship {	
	private final ModelElement sdMetricsModelElement;
	protected final ModelHelper modelHelper;
	
	public InterClassRelationship(ModelElement element) throws Exception{
		this.sdMetricsModelElement = element;
		this.modelHelper = ModelHelperFactory.getModelHelper();
	}

	public ModelElement getModelElement() {
		return sdMetricsModelElement;
	}
}
